Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.registration.policies
Class DefaultRegistrationPropertyValidator

    java.lang.Object
      org.jboss.portal.registration.policies.DefaultRegistrationPropertyValidator

All Implemented Interfaces:
  RegistrationPropertyValidator

    public class DefaultRegistrationPropertyValidator

extends java.lang.Object
implements RegistrationPropertyValidator

Since:
  2.6
Version:
  $Revision: 8784 $
Author:
  Chris Laprun

Constructor Summary
`DefaultRegistrationPropertyValidator()`

Method Summary
`void` | `validateValueFor(javax.xml.namespace.QName propertyName, java.lang.Object value)` Validates the given value for the registration property identified by the specified name.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultRegistrationPropertyValidator

    public DefaultRegistrationPropertyValidator()

Method Detail

### validateValueFor

    public void validateValueFor(javax.xml.namespace.QName propertyName,
                                 java.lang.Object value)
                          throws java.lang.IllegalArgumentException

  Description copied from interface: `RegistrationPropertyValidator`
  Validates the given value for the registration property identified by the specified name. If the value is acceptable, the method simply returns. An invalid value will raise an exception.

  Specified by:
    `validateValueFor` in interface `RegistrationPropertyValidator`
  Parameters:
    `propertyName` - the qualified name for the property name
    `value` - the value that needs to be validated
  Throws:
    `java.lang.IllegalArgumentException` - if the specified value is not acceptable for the specified property.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD